# tupper

Drops of glue between [SSHFS](https://github.com/libfuse/sshfs), [Borg](https://www.borgbackup.org/) and [cron](https://github.com/vixie/cron)

## Features

- Auto-mounts specified SSHFS as required
- Encrypted, deduplicated backups thanks to Borg
- Backup of specified directories to SSHFS
- Daily cron scheduler
- Auto-prune old archives

## Usage

Enter SSH credentials, host and destination directory in `/etc/tupper.conf`, as well as the directories to back up.
After that, run `sudo tupper initialize` once to init the Borg repository.

Then either run `sudo tupper backup` or wait for the daily cron scheduler to kick in.

## Building

`dpkg-deb --build . tupper_0.2_all.deb`

## TODO / Known pitfalls

- If `tupper` fails with `timeout waiting for prompt`, you may need to validate and accept the SSH host key: `ssh-keyscan yournas.local | sudo tee --append /root/.ssh/known_hosts`

